Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IGroupwareContainer

All Superinterfaces
  IContainer, IItem, Serializable

All Known Subinterfaces:
  ICalendarContainer, ICmCalendarContainer, ICmMailContainer, ICmMailDefaultContainer, IContactsContainer, IMailContainer, ITasksContainer

    public interface IGroupwareContainer

extends IContainer

This container is used to indicate a groupware container. The container class is `container.groupware`.

Field Summary
`static ContainerClass` | `CLASS` The container class for an `IGroupwareContainer`.
`static int` | `KEYID_TOTAL_ITEM_COUNT` The `int` ID for the `TOTAL_ITEM_COUNT` key.
`static int` | `KEYID_UNREAD_ITEM_COUNT` The `int` ID for the `UNREAD_ITEM_COUNT` key.
`static Key` | `TOTAL_ITEM_COUNT` The key representing the total number of items in a container.
`static Key` | `UNREAD_ITEM_COUNT` The key representing the total number of unread, visible items in a container.

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`int` | `getTotalItemCount()` Gets the total number of items in the container, not to be confused with `IContainer.getItemCount()`.
`int` | `getUnreadItemCount()` Gets the total number of 'unread' items in the container.

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_TOTAL_ITEM_COUNT

    static final int KEYID_TOTAL_ITEM_COUNT

  The `int` ID for the `TOTAL_ITEM_COUNT` key.

  See Also
    Constants Summary

### KEYID_UNREAD_ITEM_COUNT

    static final int KEYID_UNREAD_ITEM_COUNT

  The `int` ID for the `UNREAD_ITEM_COUNT` key.

  See Also
    Constants Summary

### TOTAL_ITEM_COUNT

    static final Key TOTAL_ITEM_COUNT

  The key representing the total number of items in a container. The total number of items consists of all immediate non-container, visible children.

### UNREAD_ITEM_COUNT

    static final Key UNREAD_ITEM_COUNT

  The key representing the total number of unread, visible items in a container.

### CLASS

    static final ContainerClass CLASS

  The container class for an `IGroupwareContainer`.

Method Detail

### getTotalItemCount

    int getTotalItemCount()
                          throws CollaborationException

  Gets the total number of items in the container, not to be confused with `IContainer.getItemCount()`. This method is preferred as it uses a property; the items do not have to be fetched.

  Returns
    the total number of items
  Throws
    `CollaborationException` - if there was an error getting the number of items

### getUnreadItemCount

    int getUnreadItemCount()
                           throws CollaborationException

  Gets the total number of 'unread' items in the container.

  Returns
    the total number of unread items
  Throws
    `CollaborationException` - if there was an error getting the number of unread items

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved